Mailinglist Archive: opensuse-factory (400 mails)

< Previous Next >
Re: [opensuse-factory] LibreOffice 6.0.0.1 brings libreoffice-kde4 back [was: New Tumbleweed snapshot 20180109 released!]
Am 11.01.2018 um 13:55 schrieb Dominique Leuenberger:

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180109

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
==== libreoffice ====
Version update (5.4.3.2 -> 6.0.0.1)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql
libreoffice-branding-upstream libreoffice-calc libreoffice-draw
libreoffice-filters-optional libreoffice-gnome libreoffice-gtk3
libreoffice-impress libreoffice-l10n-cs libreoffice-l10n-da
libreoffice-l10n-de libreoffice-l10n-el libreoffice-l10n-en
libreoffice-l10n-es libreoffice-l10n-fr libreoffice-l10n-hu
libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-pt_BR libreoffice-l10n-ru libreoffice-l10n-zh_CN
libreoffice-l10n-zh_TW libreoffice-mailmerge libreoffice-math
libreoffice-pyuno libreoffice-writer libreofficekit
- Add libreoffice-poppler-0.62.patch: Fix build with poppler 0.62,
where UTF8.h (explcitly marked as an experimental header) was
renamed to UnicodeMapFuncs.h.
- For now disable qt5 integration as it is utterly broken
* just keep the kde4 one
- Version update to 6.0.0.1:
* RC1 of 6 series, now tests seem to pass
- Reintroduce kde4 subpackage (now qt4 build with openssl-1.1)
- Add the gtk2 subpackage to not pull-in the gtk2 on current desktop
* Also supplement as needed for SLE12
- Supplement properly the qt5 and the plasma5-workspace
- Fix providing libgpg-error0 bsc#1072061 when bundling
- Version update to 6.0.0.0.beta2:
* Many fixes in gpg4libre and all around
- Seems we no longer need the _r.so directly, no mentions in code
- Do not upse otherproviders() as it is not needed with new rpms
- Merge up all the icon themes as they have intermixed deps
- Tweak up langpack generating to work with new gettext .mo files
* Those macros are pretty ugly
- Add patch to not bother checking qt4 bugs:
* kde5-configure-checks.patch
- Start updating to release 6.0.0.0.beta1:
* Code for Qt5 UI
* No longer flickering opengl backend
* Tons of updates
* Collada and gltf are removed upstream
* Online help re-integrated even better
- Remove merged patches:
* 0001-Adapt-getcompver.awk-to-Java-9.patch
* 0001-This-hunk-breaks-jdk9-build.patch
* 0002-Detect-libjawt-automatically-on-java9-too.patch
* java-encoding.patch
* gnome-documents-check-ntimeoutid.patch
- Drop no longer needed patches:
* libreoffice-hotfix-disablebrokenshapetest.patch
* disable-flaky-hsqldb-test.patch

Updating to LibreOffice 6.0.0.1 within KDE, I had to install
libreoffice-kde4 and remove libreoffice-gnome/-gtk3 manually (TW
20180109). Seems to work pretty well so far. Thx.

Regards, Frank
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >